package com.example.smart119.views

import android.view.View

object FragmentHandler {

    private val fragmentViews = mutableMapOf<String, View?>()

    // View 등록
    fun registerView(tag: String, view: View?) {
        fragmentViews[tag] = view
    }

    // View 가져오기
    fun getView(tag: String): View? {
        return fragmentViews[tag]
    }

    // View 제거
    fun unregisterView(tag: String) {
        fragmentViews.remove(tag)
    }

}